See Session.subscribe

### Hierarchy

- SubscriberProperties

## Index

### Properties

- insertMode
- subscribeToAudio
- subscribeToVideo

## Properties

### Optional insertMode

insertMode: VideoInsertMode | string

- Defined in OpenViduInternal/Interfaces/Public/SubscriberProperties.ts:29

How the video element of the subscriber should be inserted in the DOM

default

  VideoInsertMode.APPEND

### Optional subscribeToAudio

subscribeToAudio: boolean

- Defined in OpenViduInternal/Interfaces/Public/SubscriberProperties.ts:35

Whether to initially subscribe to the audio track of the stream or not. You can change the audio state later with Subscriber.subscribeToAudio

default

  true

### Optional subscribeToVideo

subscribeToVideo: boolean

- Defined in OpenViduInternal/Interfaces/Public/SubscriberProperties.ts:41

Whether to initially subscribe to the video track of the stream or not. You can change the video state later with Subscriber.subscribeToVideo

default

  true

Generated using TypeDoc